> ## Documentation Index
> Fetch the complete documentation index at: https://docs.featherhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a booking



## OpenAPI

````yaml get /api/v1/calendar-bookings/{bookingId}
openapi: 3.0.0
info:
  version: 1.0.0
  title: Feather AI API
servers:
  - url: https://prod.featherhq.com
    description: Production environment
security: []
paths:
  /api/v1/calendar-bookings/{bookingId}:
    get:
      tags:
        - Calendar Bookings
      summary: Get a booking
      parameters:
        - schema:
            type: string
          required: true
          name: bookingId
          in: path
      responses:
        '200':
          description: Booking details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CalendarBooking'
        '404':
          description: Booking not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 404
                  message:
                    type: string
                    default: Not found
                  code:
                    type: string
                    enum:
                      - NOT_FOUND
                    default: NOT_FOUND
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 500
                  message:
                    type: string
                    default: Internal server error
                  code:
                    type: string
                    enum:
                      - INTERNAL_SERVER_ERROR
                    default: INTERNAL_SERVER_ERROR
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
      security:
        - ApiKey: []
components:
  schemas:
    CalendarBooking:
      type: object
      properties:
        id:
          type: string
        organizationId:
          type: string
        calendarId:
          type: string
        eventTypeId:
          type: string
        title:
          type: string
        description:
          type: string
          nullable: true
        startTime:
          type: string
        endTime:
          type: string
        timezone:
          type: string
        status:
          type: string
          enum:
            - CONFIRMED
            - CANCELLED
            - RESCHEDULED
            - NO_SHOW
        attendeeName:
          type: string
          nullable: true
        attendeeEmail:
          type: string
          nullable: true
        attendeePhone:
          type: string
          nullable: true
        location:
          type: string
          nullable: true
        meetLink:
          type: string
          nullable: true
        metadata:
          nullable: true
        agentCallId:
          type: string
          nullable: true
        leadId:
          type: string
          nullable: true
        cancelledAt:
          type: string
          nullable: true
        cancellationReason:
          type: string
          nullable: true
        rescheduledFromId:
          type: string
          nullable: true
        rescheduledToId:
          type: string
          nullable: true
        createdAt:
          type: string
        updatedAt:
          type: string
      required:
        - id
        - organizationId
        - calendarId
        - eventTypeId
        - title
        - description
        - startTime
        - endTime
        - timezone
        - status
        - attendeeName
        - attendeeEmail
        - attendeePhone
        - location
        - meetLink
        - agentCallId
        - leadId
        - cancelledAt
        - cancellationReason
        - rescheduledFromId
        - rescheduledToId
        - createdAt
        - updatedAt
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-API-Key

````